跳转到主要内容
AI 试穿

AI试衣-图片分割

从模特图或 AI 试衣图中分割出服装区域,支持上装、下装、连衣裙等类型

POST
/services/vision/image-process/process
cURL
curl --location 'https://dashscope.aliyuncs.com/api/v1/services/vision/image-process/process' \
  --header 'Content-Type: application/json' \
  --header "Authorization: Bearer $DASHSCOPE_API_KEY" \
  --data '{
    "model": "aitryon-parsing-v1",
    "input": {
        "image_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250630/bakbqz/aitryon_parse_model.png"
    },
    "parameters": {
        "clothes_type": ["upper"]
    }
}'
{
  "output": {
    "bbox": [
      [
        331,
        239,
        641,
        637
      ]
    ],
    "parsing_img_url": [
      "http://dashscope-result-sh.oss-cn-shanghai.aliyuncs.com/example_parsing_img.png?Expires=xxxx"
    ],
    "crop_img_url": [
      "http://dashscope-result-sh.oss-cn-shanghai.aliyuncs.com/example_crop_img.jpg?Expires=xxxx"
    ]
  },
  "usage": {
    "image_count": 1
  },
  "request_id": "b68147d6-e7d0-920f-b889-xxxxxx"
}
AI 试衣-图片分割是一个辅助模型,支持从模特图或 AI 试衣图中分割出服装区域,如上装、下装、连衣裙或连体衣。此模型为可选模型,与 AI 试衣模型配合使用,可实现局部试衣获取指定服饰坐标等特定效果。

鉴权

string
header
必填

千问云 API Key。详见获取 API Key

请求体

application/json
enum<string>
必填

模型名称,固定为 aitryon-parsing-v1

aitryon-parsing-v1
object
必填
object

响应

200-application/json
string

本次请求的唯一 ID。

object
object